<template>
  <info-card title="Información general del envío">
    <v-container fluid>
      <info-field field="Placa de vehículo">
        <v-text-field
          label=""
          :value="shipment.licensePlate"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Hora de llegada">
        <v-text-field
          label=""
          :value="toLocalDate(shipment.arrivalTime)"
          outlined
          readonly
        />
      </info-field>
    </v-container>
  </info-card>
</template>

<script>
import { mapState } from 'vuex';
import InfoCard from '~/components/Common/Info/InfoCard';
import { toLocalDate } from '~/helpers/format/time';
import InfoField from '~/components/Common/Info/InfoField';

export default {
  name: 'ShipmentInfo',
  components: {
    InfoCard,
    InfoField,
  },
  computed: {
    ...mapState({
      shipment: state => state.storage.shipments.current.shipment,
    }),
  },
  methods: {
    toLocalDate,
  },
};
</script>
